cURL
curl -X PUT "https://app.cotool.ai/api/alert-escalation-notification-defaults" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"enabled":true,"destinationIds":["string"],"minSeverity":"low","destinationMinSeverities":null,"routes":[{"id":"string","name":"string","enabled":true,"conditions":[{"type":"codeDetection","codeDetectionIds":["string"]}],"destinationIds":["string"],"destinationMinSeverities":null}]}'import requests
url = "https://app.cotool.ai/api/alert-escalation-notification-defaults"
payload = {
"enabled": True,
"destinationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"destinationMinSeverities": {},
"routes": [
{
"name": "<string>",
"enabled": True,
"conditions": [
{
"type": "codeDetection",
"codeDetectionIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
],
"destinationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationMinSeverities": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
destinationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
destinationMinSeverities: {},
routes: [
{
name: '<string>',
enabled: true,
conditions: [
{
type: 'codeDetection',
codeDetectionIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
],
destinationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destinationMinSeverities: {}
}
]
})
};
fetch('https://app.cotool.ai/api/alert-escalation-notification-defaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/alert-escalation-notification-defaults")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"destinationMinSeverities\": {},\n \"routes\": [\n {\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"type\": \"codeDetection\",\n \"codeDetectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ],\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destinationMinSeverities\": {}\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alert-escalation-notification-defaults"
payload := strings.NewReader("{\n \"enabled\": true,\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"destinationMinSeverities\": {},\n \"routes\": [\n {\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"type\": \"codeDetection\",\n \"codeDetectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ],\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destinationMinSeverities\": {}\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"settings": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"minSeverity": "low",
"destinationMinSeverities": {},
"routes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"enabled": true,
"conditions": [
{
"type": "codeDetection",
"codeDetectionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"destinationMinSeverities": {}
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
},
"destinations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"authType": "bearer",
"headerName": "<string>"
},
"disabledAt": "<string>",
"token": "<string>",
"hasToken": true
}
],
"logTableOptions": [
{
"source": "<string>",
"sourceDisplayName": "<string>",
"toolId": "<string>",
"stream": "<string>",
"streamLabel": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Alerts
Update escalated alert notification defaults
Update the organization-wide destinations notified when an alert moves into escalated status, and the routes that send matching alerts elsewhere.
PUT
/
api
/
alert-escalation-notification-defaults
cURL
curl -X PUT "https://app.cotool.ai/api/alert-escalation-notification-defaults" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"enabled":true,"destinationIds":["string"],"minSeverity":"low","destinationMinSeverities":null,"routes":[{"id":"string","name":"string","enabled":true,"conditions":[{"type":"codeDetection","codeDetectionIds":["string"]}],"destinationIds":["string"],"destinationMinSeverities":null}]}'import requests
url = "https://app.cotool.ai/api/alert-escalation-notification-defaults"
payload = {
"enabled": True,
"destinationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"destinationMinSeverities": {},
"routes": [
{
"name": "<string>",
"enabled": True,
"conditions": [
{
"type": "codeDetection",
"codeDetectionIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
],
"destinationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationMinSeverities": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
destinationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
destinationMinSeverities: {},
routes: [
{
name: '<string>',
enabled: true,
conditions: [
{
type: 'codeDetection',
codeDetectionIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
],
destinationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destinationMinSeverities: {}
}
]
})
};
fetch('https://app.cotool.ai/api/alert-escalation-notification-defaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/alert-escalation-notification-defaults")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"destinationMinSeverities\": {},\n \"routes\": [\n {\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"type\": \"codeDetection\",\n \"codeDetectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ],\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destinationMinSeverities\": {}\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/alert-escalation-notification-defaults"
payload := strings.NewReader("{\n \"enabled\": true,\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"destinationMinSeverities\": {},\n \"routes\": [\n {\n \"name\": \"<string>\",\n \"enabled\": true,\n \"conditions\": [\n {\n \"type\": \"codeDetection\",\n \"codeDetectionIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n }\n ],\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destinationMinSeverities\": {}\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"settings": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"minSeverity": "low",
"destinationMinSeverities": {},
"routes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"enabled": true,
"conditions": [
{
"type": "codeDetection",
"codeDetectionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"destinationMinSeverities": {}
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
},
"destinations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"authType": "bearer",
"headerName": "<string>"
},
"disabledAt": "<string>",
"token": "<string>",
"hasToken": true
}
],
"logTableOptions": [
{
"source": "<string>",
"sourceDisplayName": "<string>",
"toolId": "<string>",
"stream": "<string>",
"streamLabel": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Authorizations
Body
application/json
Response
Successful response
Was this page helpful?
⌘I